<template>
  <div class="block under-line">
    <v-container>
      <h2 class="sub-under-line text-center text-tengah">Why choose us</h2>
      <v-row class="mt-10">
        <v-col
          v-for="item in items"
          :key="item.id"
          class="d-flex child-flex"
          cols="3"
        >
          <v-card outlined elevation="2" class="mx-auto" max-width="344">
            <v-card-title class="icon-center">
              <v-icon large>{{ item.icon }}</v-icon>
            </v-card-title>
            <v-card-subtitle>
              <h2 class="mt-5 text-center">{{ item.subtitle }}</h2>
            </v-card-subtitle>
            <v-card-text>
              <p>
                {{ item.text }}
              </p>
            </v-card-text>
          </v-card>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>

<script>
export default {
  name: "Vision",

  data: () => ({
    items: [
      {
        id: 1,
        icon: "mdi-lock",
        subtitle: "Secure",
        text:
          "Your transaction and data is secure and you have nothing to worried about us. We are giving world class security",
      },
      {
        id: 2,
        icon: "mdi-history",
        subtitle: "Flexible",
        text:
          "You can donate any of amount whatever you want, there is no fixed amount in the campaigns",
      },
      {
        id: 3,
        icon: "mdi-thumb-up",
        subtitle: "Easy",
        text:
          "Create a campaign or donate less then 5 minutes, just create campaigns, get fund and make your dream.",
      },
      {
        id: 4,
        icon: "mdi-gift",
        subtitle: "Supports reward",
        text:
          "Campaigns owner can offer for reward, so the backer will get reward for the specific donation",
      },
    ],
  }),
};
</script>

<style scooped>
.icon-center {
  margin: 10px 0 0 100px;
}
</style>